Module javafx.base
Package javafx.util.converter

# Class LongStringConverter

java.lang.Object
javafx.util.StringConverter<Long>
javafx.util.converter.LongStringConverter

public class LongStringConverter extends StringConverter<Long>

`StringConverter` implementation for `Long` (and long primitive) values.

Since:
  JavaFX 2.1

## Constructor Summary

Constructors
Constructor
Description
`LongStringConverter()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`fromString(String value)`
Converts the string provided into an object defined by the specific converter.
`String`
`toString(Long value)`
Converts the object provided into its string form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongStringConverter

public LongStringConverter()

## Method Details

### fromString

public Long fromString(String value)
Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.

Specified by:
  `fromString` in class `StringConverter<Long>`
Parameters:
  `value` - the `String` to convert
Returns:
  an object representation of the string passed in.

### toString

public String toString(Long value)
Converts the object provided into its string form. Format of the returned string is defined by the specific converter.

Specified by:
  `toString` in class `StringConverter<Long>`
Parameters:
  `value` - the object of type `T` to convert
Returns:
  a string representation of the object passed in.